<template>
    <div class="max-w-7xl mx-auto px-4 sm:px-6">
        <div class="bg-white">
            <div>
                <main class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
                    <div class="relative z-10 flex items-baseline justify-between pt-24 pb-6 border-b border-gray-200">
                        <h1 class="text-4xl font-extrabold tracking-tight text-gray-900">New Arrivals</h1>
                    </div>
                    <section aria-labelledby="products-heading" class="pt-6 pb-24">
                        <div class="grid grid-cols-1 lg:grid-cols-4 gap-x-8 gap-y-10">
                        <CatalogFilter
                            ref="filter"
                            :brands="brands"
                            :categories="categories"
                            @apply-filter="applyFilter"
                            @reload-filter="reloadFilter"
                            :isDummy="!hasFilter"
                        />
                            <div class="lg:col-span-3">
                                <!-- Replace with your content -->
                                <div class="max-w-2xl mx-auto px-4 sm:px-6 lg:max-w-7xl lg:px-8">
                                    <!--                    <form>-->
                                    <!--                        <div class="form-group">-->
                                    <!--                            <input-->
                                    <!--                                type="text"-->
                                    <!--                                name="q"-->
                                    <!--                                class="form-control"-->
                                    <!--                                placeholder="Search..."-->
                                    <!--                                value="hrtjrtjr"-->
                                    <!--                            />-->
                                    <!--                        </div>-->
                                    <!--                    </form>-->
                                    <div class="mt-6 grid grid-cols-1 gap-y-10 gap-x-6 sm:grid-cols-2 lg:grid-cols-4 xl:gap-x-8">
                                        <div v-for="product in products.data" :key="product.id" class="group relative">
                                            <div
                                                class="w-full min-h-80 bg-gray-200 aspect-w-1 aspect-h-1 rounded-md overflow-hidden group-hover:opacity-75 lg:h-80 lg:aspect-none">
                                                <img v-if="product.image" src="{{ product.image.url }}" alt="">
                                                <img v-else src="https://tailwindui.com/img/ecommerce-images/product-page-01-related-product-01.jpg" alt=""
                                                     class="w-full h-full object-center object-cover lg:w-full lg:h-full"/>
                                            </div>
                                            <div class="mt-4 flex justify-between">
                                                <div>
                                                    <h3 class="text-sm text-gray-700">
                                                        <a :href="'/product/' + product.code">
                                                            <span aria-hidden="true" class="absolute inset-0"/>
                                                            {{product.name}}
                                                        </a>
                                                    </h3>
                                                    <p class="mt-1 text-sm text-gray-500">{{product.updated_at}}</p>
                                                </div>
                                                <p class="text-sm font-medium text-gray-900">{{ product.price }} ₽.</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- /End replace -->
                            </div>
                        </div>
                    </section>
                </main>
            </div>
        </div>
        <pagination-pages :links="products.links" />
    </div>
</template>

<script>
import PaginationPages from "@/components/PaginationPages";
import {defineComponent} from "vue";
import CatalogFilter from "@/components/pages/catalog/filter"

export default defineComponent({
    components: {
        PaginationPages,
        CatalogFilter,
    },
    props:{
        products: {
            type: Object,
            default: {},
        },
        brands: {
            type: Object,
            default: {},
        },
        categories: {
            type: Object,
            default: {},
        },
    },
})
</script>

<style>

</style>
